Discover Link On Confirm
curl --request POST \
--url https://api.eka.care/abdm/v1/care-contexts/discover/link/on-confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "<string>",
"error": {
"code": 123,
"message": "<string>"
},
"patients": [
{
"care_contexts": [
{
"display": "<string>",
"ref_num": "<string>"
}
],
"display": "<string>",
"ref_num": "<string>"
}
]
}
'import requests
url = "https://api.eka.care/abdm/v1/care-contexts/discover/link/on-confirm"
payload = {
"request_id": "<string>",
"error": {
"code": 123,
"message": "<string>"
},
"patients": [
{
"care_contexts": [
{
"display": "<string>",
"ref_num": "<string>"
}
],
"display": "<string>",
"ref_num": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '<string>',
error: {code: 123, message: '<string>'},
patients: [
{
care_contexts: [{display: '<string>', ref_num: '<string>'}],
display: '<string>',
ref_num: '<string>'
}
]
})
};
fetch('https://api.eka.care/abdm/v1/care-contexts/discover/link/on-confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}HIP
Discover Link On Confirm
This API is used by HIP to confirm the linking of care contexts after OTP verification.
POST
/
abdm
/
v1
/
care-contexts
/
discover
/
link
/
on-confirm
Discover Link On Confirm
Call this API in response to the Link Confirmation webhook, after validating the OTP. Use the
request_id from the webhook payload and include the list of care contexts to be linked.Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Body
application/json
Response
No Content
Was this page helpful?
⌘I

